Verify TOTP during login

POST/auth/v1/verify-totp

Verifies the submitted TOTP code for a pending login session and, if valid, completes authentication and returns access tokens.

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_auth.verifyTOTPLoginBody",
  "$ref-value": {
    "properties": {
      "code": {
        "type": "string"
      },
      "session_id": {
        "type": "string"
      }
    },
    "required": [
      "code",
      "session_id"
    ],
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/verify-totp" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "string",
    "session_id": "string"
  }'

OK

application/json

{
  "$ref": "#/components/schemas/authv1.TokenResponse",
  "$ref-value": {
    "properties": {
      "access_token": {
        "type": "string"
      },
      "expires_in": {
        "type": "integer"
      },
      "refresh_token": {
        "type": "string"
      },
      "requires_action": {
        "type": "string"
      },
      "token_type": {
        "type": "string"
      }
    },
    "type": "object"
  }
}